Keysight N5399C/N5399D HDMI Test Compliance Application

Software Version 02.13.0000

© Keysight Technologies 2015

Warranty
Technology License
Restricted Rights Legend
Safety Notices
Trademarks

February, 2015

Table of Contents

HDMI Test Compliance Application—At a Glance
Starting the HDMI Test Compliance Application
To view/minimize the task flow pane
To view/hide the toolbar
Creating or Opening a Test Project
To set load preferences
Setting Up the Precision Probe/Cable
Setting Up Switch Matrix
Switch Matrix — Overview
To Enable Switch Matrix
Switch Matrix for Keysight U3020AS26
Establishing Connection to the Switch Drivers — Automatically
Establishing Connection to the Switch Drivers — Manually
Configuring Signal Paths
Configuring Signal Paths with Automatic Selection
Configuring Signal Paths with Manual Selection
Response Correction
Switch Matrix for BIT2100
Prerequisite to BitifEye BIT2100 connection
Establishing Connection to the Switch Drivers — Automatically
Establishing Connection to the Switch Drivers — Manually
Configuring Signal Paths
Configuring Signal Paths with Automatic Selection
Configuring Signal Paths with Manual Selection
Response Correction
Setting Up the Test Environment
Device Definition Setup
Device Under Test(DUT)
DUT Timing Selection
Resolution Timing to Test
Test Connection Setup
Test Fixture Type
Probe Type
Probe and Lane Connection
Timing Control Automation
VPrime Flex EDID
PC LAN
QD 980
Switch Matrix
Channel Embed/De-embed Setup
Fixture
Cable Embedding
Equalizer
Skew
Generate Transfer Function
Probe Offset Calibration
Zero Offset
Calibrated Offset
Selecting Tests
Configuring Tests
Connecting the Oscilloscope to the DUT
Running Tests
To view the Test Plan Completion Status
To select the "store mode"
To run multiple times
To send email on pauses or stops
To pause or stop on events
To specify the event
To set the display preferences
To set the run preferences
Automating the Application
Script Mode
Using the command generator in Automation
Files Mode
Execution
Settings Status
Command Line
Viewing Results
To delete trials from the results
To show reference images and flash mask hits
To change margin thresholds
To change the test display order
To set the Trial Display preferences
Viewing/Exporting/Printing the Report
To export the report
To export results in CSV (comma-separated value) format
To export the report in HTML format
To print the report
To set HTML Report preferences
Understanding the Report
Summary of Results
Report Detail
Saving Test Projects
To set AutoRecovery preferences
User Defined Add-Ins
To install an add-in
To remove an add-in
Controlling the Application via a Remote PC
To check for the App Remote license
To identify the remote interface version
To enable the remote interface
To enable remote interface hints
Using a Second Monitor

N5399C/N5399D HDMI Test Compliance Application

Online Help


HDMI Test Compliance Application—At a Glance

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

HDMI Test Compliance Application—At a Glance

The Keysight N5399C/N5399D HDMI Test Compliance Application helps you verify the HDMI transmitter device under test (DUT) compliance to the HDMI specifications, according to the High-Definition Multimedia Interface Compliance Test Specification Revision 1.4 for HDMI 1.4b devices and High-Definition Multimedia Interface Version 2.0 Generic Compliance Test Specification for HDMI 2.0 devices, using the Keysight 90000 X-Series Infiniium Digital Storage Oscilloscopes.

The HDMI test compliance application requires:

  • N5399C/N5399D HDMI Test Compliance Application software.

  • The minimum version of Infiniium oscilloscope software (see the N5399C/N5399D HDMI Test Compliance Application release notes).

  • Keysight 90000 X-Series Infiniium Digital Storage Oscilloscopes.

  • Precision 3.5mm BNC to SMA male adaptor, Keysight p/n 54855-67604, qty = 2, (provided with the Keysight Infiniium oscilloscope).

  • Calibration cable (provided with the 54854A and 54855A Infiniium Oscilloscopes).

  • E2655A/B probe de-skew fixture.

  • 82 Ω damping resistors (01130-81506) for the Socketed Differential Probe Head.

  • Probes and test fixtures (N5405 or N1080A).

  • Power Supply.

  • Keyboard, qty = 1, (provided with the Keysight Infiniium oscilloscope).

  • Mouse, qty = 1, (provided with the Keysight Infiniium oscilloscope).

  • N5399C/N5399D HDMI Test Compliance Application license.

  • (Optional) N5400A EZJIT Plus Jitter Analysis software license.

  • Keysight also recommends using a second monitor to view the automated test application.

To use the automated test application, see:

  • Starting the HDMI Test Compliance Application

    • To view/minimize the task flow pane
    • To view/hide the toolbar

  • Creating or Opening a Test Project

    • To set load preferences

  • Setting Up the Precision Probe/Cable

  • Setting Up Switch Matrix

  • Switch Matrix — Overview

  • To Enable Switch Matrix

  • Switch Matrix for Keysight U3020AS26

  • Establishing Connection to the Switch Drivers — Automatically

  • Establishing Connection to the Switch Drivers — Manually

  • Configuring Signal Paths

  • Configuring Signal Paths with Automatic Selection

  • Configuring Signal Paths with Manual Selection

  • Response Correction

  • Switch Matrix for BIT2100

  • Prerequisite to BitifEye BIT2100 connection

  • Establishing Connection to the Switch Drivers — Automatically

  • Establishing Connection to the Switch Drivers — Manually

  • Configuring Signal Paths

  • Configuring Signal Paths with Automatic Selection

  • Configuring Signal Paths with Manual Selection

  • Response Correction

  • Setting Up the Test Environment

    • Device Definition Setup

    • Device Under Test(DUT)

    • DUT Timing Selection

    • Resolution Timing to Test

    • Test Connection Setup

    • Test Fixture Type

    • Probe Type

    • Probe and Lane Connection

    • Timing Control Automation

    • VPrime Flex EDID

    • PC LAN

    • QD 980

  • Switch Matrix

    • Channel Embed/De-embed Setup

    • Fixture

    • Cable Embedding

    • Equalizer

    • Skew

    • Generate Transfer Function

    • Probe Offset Calibration

    • Zero Offset

    • Calibrated Offset

  • Selecting Tests

  • Configuring Tests

  • Connecting the Oscilloscope to the DUT

  • Running Tests

    • To view the Test Plan Completion Status

    • To select the "store mode"

    • To run multiple times

    • To send email on pauses or stops

    • To pause or stop on events

    • To specify the event

    • To set the display preferences

    • To set the run preferences

  • Automating the Application

    • Script Mode

      • Using the command generator in Automation

    • Files Mode

    • Execution

    • Settings Status

    • Command Line

  • Viewing Results

    • To delete trials from the results

    • To show reference images and flash mask hits

    • To change margin thresholds

    • To change the test display order

    • To set the Trial Display preferences

  • Viewing/Exporting/Printing the Report

    • To export the report

      • To export results in CSV (comma-separated value) format

      • To export the result in HTML format

    • To print the report

    • To set HTML Report preferences

  • Understanding the Report

    • Summary of Results

    • Report Detail

  • Saving Test Projects

    • To set AutoRecovery preferences

  • User-Defined Add-Ins

    • To install an add-in

    • To remove an add-in

  • Controlling the Application via a Remote PC

    • To check for the App Remote license

    • To identify the remote interface version

    • To enable the remote interface

    • To enable remote interface hints

For more information on performing HDMI compliance tests, see:

  • Keysight N5399C/N5399D HDMI Compliance Test Application Compliance Testing Notes


Starting the HDMI Test Compliance Application

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Starting the HDMI Test Compliance Application

  1. From the Infiniium oscilloscope's main menu, choose Analyze>Automated Test Apps>N5399C/N5399D HDMI Test App.

  2. The HDMI Test Compliance Application window appears.

See Also

· To view/minimize the task flow pane

· To view/hide the toolbar

Next

· Creating or Opening a Test Project


To view/minimize the task flow pane

Starting the HDMI Test Compliance Application

To view/minimize the task flow pane

  • To toggle between a minimized and restored task flow pane, choose View>Task Flow from the menu.

  • To minimize the task flow pane, click the minimize button in the pane.

  • To restore a minimized task flow pane, click the [image] button in the pane.


To view/hide the toolbar

Starting the HDMI Test Compliance Application

To view/hide the toolbar

  • To toggle between a hidden and visible toolbar, click View>Toolbar from the menu.


Creating or Opening a Test Project

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Creating or Opening a Test Project

To create a new test project:

  1. Choose File>New Project... from the menu.

A new, empty project, with all the default settings is created. If you create a new project again, the Start New Project window appears where you may choose to retain some of the pre-configured settings of the tool.

To open an existing test project:

  1. Choose File>Open Project... from the menu.

  2. In the Open dialog box, browse to a test project directory and select the desired .proj file.

  3. Click Open.

See Also

· To set load preferences

Next

· Setting Up the Test Environment


To set load preferences

Creating or Opening a Test Project

To set load preferences

  1. From the HDMI test compliance application's menu, choose View>Preferences....

  2. In the Preferences dialog box, select the Save/Load tab.

  3. In the Save/Load tab, you can choose to restore saved test selections when loading a project.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


To set up Precision Probe or Cable

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Setting Up the Precision Probe/Cable

Note

You may access the precision probe/cable setup feature on the HDMI Test Compliance Application only if the license is available on the Keysight Infiniium Oscilloscope.

  1. From the HDMI test compliance application's main menu, click Tools > Infiniium > PrecisionProbe/PrecisionCable....

The Configure PrecisionProbe / PrecisionCable dialog appears, where you can set up the precision probe or the precision cable.

  2. Click the scope channel being used.

  3. In the Mode section, select one of the following options. Notice that the display in the lower part of the dialog changes according to your selection:

· PrecisionProbe—to calibrate the probes.

· PrecisionCable—to remove insertion loss caused by cables or fixtures.

The AC Calibration field displays the current status of the precision probe/cable.

Prior to enabling the settings for the precision probe/cable, you must perform calibration for the probe/cable on the scope.

  4. Click the Create New... button. The Create Calibration dialog displays.

· Create Calibration dialog for PrecisionProbe:

· Create Calibration dialog for PrecisionCable:

  4. On the Create Calibration dialog, click the Start button and follow the on-screen instructions to create probe/cable calibration files. Click Finish to exit the Create Calibration dialog and return to Configure PrecisionProbe / PrecisionCable dialog.

  5. Click OK to return to the test environment.


To set up the switch matrix

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Setting Up Switch Matrix

Switch Matrix — Overview

An Oscilloscope has only 4 channels to run tests. The limited number of channels may, at times, limit the testing of some multi-lane standards. Also, it may prove to be a hindrance to run test procedures for multi-port devices or simultaneous testing of multiple devices. The Switch Matrix feature on the Infiniium Oscilloscope overcomes such limitations. The purpose of the ‘Switch Matrix’ feature is to ease the testing procedure, make it more feasible and to reduce the overall time. Using this feature, you can connect all four lane pairs of the source devices to the correct switches and to obtain an accurate signal path whenever required.

Keysight recommends the following switches to be used with the N5399C/N5399D HDMI Conformance Test Application:

· Keysight U3020AS26

· BitifEye BIT-2100

Note

You require an additional license to support this optional feature of Switch Matrix in the N5399C/N5399D HDMI Conformance Test Application.

To Enable Switch Matrix

Before you begin the testing of four lane pairs of the source devices simultaneously, you must enable the Switch Matrix feature.

To enable the switch matrix feature:

  1. Click Tools>Switch Matrix....

  2. In the Configure Switch Matrix Settings dialog box, click the On radio button to enable the Switch Matrix feature.

Enabling the Switch Matrix feature also enables the automated switch control. Notice that the Automatically select drivers and paths (limited models) radio button in the Configuration Mode section of the Controller tab is selected by default.

Once you enable the switch matrix feature, you may configure the switch matrix either for the Keysight U3020A S26 switch box or the BitifEye BIT-2100 switch box.

See Also

· Switch Matrix Configuration for Keysight U3020A S26

· Switch Matrix Configuration for BitifEye BIT2100

Next

· Setting Up the Test Environment


Switch Matrix for Keysight U3020AS26

Setting Up Switch Matrix

Switch Matrix Configuration for Keysight U3020A S26

To configure the switch matrix controller settings for Keysight U3020A S26, you must enable the switch matrix controller. See Setting Up Switch Matrix to enable the switch matrix controller.

Establishing Connection to the Switch Drivers — Automatically

In the Configure Switch Matrix Settings dialog, under the Controller tab:

  1. From the Switch Drivers section, select the switch model from the Model: drop-down options.

Note

If you choose the other switch model next time, the switch settings and the response correction for all paths is reset based on the selected switch driver model.

  2. Click the Connect button to be able to connect the selected switch driver to a physical switch instrument.

  3. A Connect to <switch-model> dialog displays, which gives you two options to establish a connection to the switch models.

· Enter full SICL address or VISA alias—Select this radio button to type the complete SICL or VISA address of the switch driver. By default, this option is selected.

Click the Identify button to identify the instrument at the specified address or alias and to view the current status of the instrument that is connected to the switch driver. Click OK to exit.

A list of drivers is available to assign signal path. Click OK to return to the Configure Switch Matrix Settings dialog.

Click the Connection Guide button in the Signal Paths section if you want to view the recommended switch connection settings. The Recommended Switch Settings Connection window appears.

Click OK to return to the switch controller view.

Click OK on the Configure Switch Matrix Settings dialog box to save the settings and return to the test environment.

· Select from Keysight Connection Expert—Select this radio button to control the application with the help of remote PC. Upon selecting this option, the application starts seeking device information from the Keysight Connection Expert.

If remote access of the device is enabled, the Connect to <switch-model> dialog displays the list of active instruments.

Click to select the Identify* / Hide unresponsive addresses check-box to send an IDN query to every instrument in the list and search for the active instruments, if any.

If any active instruments are found, the Connect to <switch-model> dialog lists out such instruments. Select an instrument from the list and click OK to return to the Configure Switch Matrix Settings dialog.

If there are no active instruments found, the application displays an error message. Click OK to return to the Configure Switch Matrix Settings dialog.

Click OK in the Configure Switch Matrix Settings dialog to save the settings and return to the test environment.

Note

The Select from Keysight Connection Expert option is available only when the device is turned on and enabled for remote access.

To know more about how to control the application remotely, see Controlling the Application via a Remote PC.

Establishing Connection to the Switch Drivers — Manually

In the Configure Switch Matrix Settings dialog:

  1. Click to select the Manually perform these tasks (any supported model) radio button in the Configuration Mode section.

  2. In the Switch Drivers section, you may use the Add button to append the list of any additional drivers, which require a connection to an instrument. Use the Delete button to remove a selected driver from the list. Removing the driver from the list dissociates any signal paths that may have been assigned to it earlier.

Note

· The Manually perform these tasks (any supported model) option allows you to decide how many drivers to use and how to route the signal paths. It enables the use of any supported switch model.

· Rest of the steps for establishing a connection to the switch models remains the same as described in the Establishing Connection to the Switch Drivers — Automatically. The only difference between automatic and manual modes is that you can add/delete and select switch drivers (any supported model) as per your requirements and preferences in the manual mode.

Configuring Signal Paths

Once you have enabled the Switch Matrix feature and set up connections to the switch drivers, you must configure signal paths. The options to configure the signal paths vary depending upon whether you have selected Automatically select drivers and paths (limited models) or Manually perform these tasks (any supported model) in the Controller tab of the Configure Switch Matrix Settings dialog.

Configuring Signal Paths with Automatic Selection

When you have selected Automatically select drivers and paths (limited models) in the Controller tab of the Configure Switch Matrix Settings dialog:

  1. Click the Signal Paths tab in the Configure Switch Matrix Settings dialog.

Notice that the signal paths are already predefined. Also, the Source and Sink points are read-only. At runtime, when the Switch Matrix module is on and when a connection prompt occurs, two events occur:

· The framework suppresses the prompts.

· The Switch Matrix module detects the new connection and then throw switches, as indicated in the Switch column, taking into account the current value of the config variable (if any) associated with the connection.

Configuring Signal Paths with Manual Selection

When you have selected Manually perform these tasks (any supported model) in the Controller tab of the Configure Switch Matrix Settings dialog:

  1. Click the Signal Paths tab in the Configure Switch Matrix Settings dialog.

  2. Under the Sink column, select the channel or switch module in one of the drop-down options. You must manually select the alternative channel or driver module from the other drop-down option.

For example, if you choose Channel 2 in the first row, you must select Channel 4 in the drop-down options in the second row.

The Source column also displays the lane drop-down options. You may change the lane assignments and the corresponding Switch modules.

In both cases, that is, configuring signal paths with automatic or manual selection; click the View Connections... button to view the signal path mapping, to understand how the signal path maps to the connection diagrams being used by the application. By default, Single-Ended D0D1 InterpairSkew is selected.

In the following example, the path and channel assignments are associated with the Single-Ended D0D1 InterpairSkew connection:

Click the Tests... button to view information about the tests that use the selected connection to perform automated tests.

Click the Close button to exit and return to the Configure Switch Matrix Settings dialog to finish the signal path configuration.

If required, use the Reset Paths... button to clear all switch and response correction settings for all paths. Click OK if you wish to proceed.

Also, if needed, use the Load Preconfigured Settings... button to set switches for all paths as per the recommended settings. Click OK if you wish to proceed.

Response Correction

You must specify the response correction after you finish configuring the signal paths. This is a vital parameter that highly impacts the measurement accuracy, credibility and performance of the oscilloscope. The purpose of response correction is to correct the channel frequency response of the oscilloscope.

For each scope channel that you select, there are two response correction methods available in the Choose correction mode: drop-down options:

· None—turn off normalization for the specified path. By default, this option is selected.

· PrecisionProbe—specify response correction by characterizing the precision cable or probe.

If you select PrecisionProbe option from the drop-down, the Configure PrecisionProbe / PrecisionCable dialog displays.

Refer to Setting Up the Precision Probe/Cable to know about how to configure the precision probe/cable. Depending on the number of test points on a specific scope channel, you may configure PrecisionProbe or PrecisionCable for the selected channel.

Once you configure the PrecisionProbe mode and return to the Response Correction tab of the Configure Switch Matrix Settings dialog, you may use the [image] button or double-click the selected row to access the corresponding configuration dialog, if you wish to make further changes to a specific scope channel configuration.

Use the [image] button to establish a connection between the selected test point and scope channel. For example, if you click Execute Switches after selecting the first row, as shown below, you receive the following prompt. Click OK to close the prompt.

Once you have finished response corrections for all connections, click OK in the Configure Switch Matrix Settings dialog. The application redirects you to the test environment.


Switch Matrix for BIT2100

Setting Up Switch Matrix

Switch Matrix Configuration for BitifEye BIT2100

To configure the switch matrix controller settings for BitifEye BIT2100, you must enable the switch matrix controller. See Setting Up Switch Matrix to enable the switch matrix controller.

For information on how to configure the BitifEye BIT2100 switch box, refer to the BIT-2100 Series Switch System User Manual v1.10 at http://www.bitifeye.com/.

Prerequisite to BitifEye BIT2100 connection

After you enable the switch matrix controller and prior to connecting to the BitifEye BIT2100 switch box, you must verify the module number assignments for both the SP4T and SPDT modules in the Switch Matrix area of the Test Connection Setup. Refer to the Switch Matrix section of Test Connection Setup for more details.

Establishing Connection to the Switch Drivers — Automatically

In the Configure Switch Matrix Settings dialog, under the Controller tab:

  1. From the Switch Drivers section, select the switch model from the Model: drop-down options.

Note

If you choose the other switch model next time, the switch settings and the response correction for all paths is reset based on the selected switch driver model.

  2. Click the Connect button to be able to connect the selected switch driver to a physical switch instrument.

  3. A Connect to <switch-model> dialog displays, which gives you two options to establish a connection to the switch models.

· Enter full SICL address or VISA alias—Select this radio button to type the complete SICL or VISA address of the switch driver. By default, this option is selected.

Click the Identify button to identify the instrument at the specified address or alias and to view the current status of the instrument that is connected to the switch driver. Click OK to exit.

A list of drivers is available to assign signal path. Click OK to return to the Configure Switch Matrix Settings dialog.

Click the Connection Guide button in the Signal Paths section if you want to view the recommended switch connection settings. The Recommended Switch Settings Connection window appears.

Click OK to return to the switch controller view.

Click OK on the Configure Switch Matrix Settings dialog box to save the settings and return to the test environment.

· Select from Keysight Connection Expert—Select this radio button to control the application with the help of remote PC. Upon selecting this option, the application starts seeking device information from the Keysight Connection Expert.

If remote access of the device is enabled, the Connect to <switch-model> dialog displays the list of active instruments.

Click to select the Identify* / Hide unresponsive addresses check-box to send an IDN query to every instrument in the list and search for the active instruments, if any.

If any active instruments are found, the Connect to <switch-model> dialog lists out such instruments. Select an instrument from the list and click OK to return to the Configure Switch Matrix Settings dialog.

If there are no active instruments found, the application displays an error message. Click OK to return to the Configure Switch Matrix Settings dialog.

Click OK in the Configure Switch Matrix Settings dialog to save the settings and return to the test environment.

Note

The Select from Keysight Connection Expert option is available only when the device is turned on and enabled for remote access.

To know more about how to control the application remotely, see Controlling the Application via a Remote PC.

Establishing Connection to the Switch Drivers — Manually

In the Configure Switch Matrix Settings dialog:

  1. Click to select the Manually perform these tasks (any supported model) radio button in the Configuration Mode section.

  2. In the Switch Drivers section, you may use the Add button to append the list of any additional drivers, which require a connection to an instrument. Use the Delete button to remove a selected driver from the list. Removing the driver from the list dissociates any signal paths that may have been assigned to it earlier.

Note

· The Manually perform these tasks (any supported model) option allows you to decide how many drivers to use and how to route the signal paths. It enables the use of any supported switch model.

· Rest of the steps for establishing a connection to the switch models remains the same as described in the Establishing Connection to the Switch Drivers — Automatically. The only difference between automatic and manual modes is that you can add/delete and select switch drivers (any supported model) as per your requirements and preferences in the manual mode.

Configuring Signal Paths

Once you have enabled the Switch Matrix feature and set up connections to the switch drivers, you must configure signal paths. The options to configure the signal paths vary depending upon whether you have selected Automatically select drivers and paths (limited models) or Manually perform these tasks (any supported model) in the Controller tab of the Configure Switch Matrix Settings dialog.

Configuring Signal Paths with Automatic Selection

When you have selected Automatically select drivers and paths (limited models) in the Controller tab of the Configure Switch Matrix Settings dialog:

  1. Click the Signal Paths tab in the Configure Switch Matrix Settings dialog.

Notice that the signal paths are already predefined. Also, the Source and Sink points are read-only. At runtime, when the Switch Matrix module is on and when a connection prompt occurs, two events occur:

· The framework suppresses the prompts.

· The Switch Matrix module detects the new connection and then throw switches, as indicated in the Switch column, taking into account the current value of the config variable (if any) associated with the connection.

Configuring Signal Paths with Manual Selection

When you have selected Manually perform these tasks (any supported model) in the Controller tab of the Configure Switch Matrix Settings dialog:

  1. Click the Signal Paths tab in the Configure Switch Matrix Settings dialog.

  2. Under the Sink column, select the channel or switch module in one of the drop-down options. You must manually select the alternative channel or driver module from the other drop-down option.

For example, if you choose Channel 2 in the first row, you must select Channel 4 in the drop-down options in the second row.

The Source column also displays the lane drop-down options. You may change the lane assignments and the corresponding Switch modules.

In both cases, that is, configuring signal paths with automatic or manual selection; click the View Connections... button to view the signal path mapping, to understand how the signal path maps to the connection diagrams being used by the application. By default, Single-Ended D0D1 InterpairSkew is selected.

In the following example, the path and channel assignments are associated with the Single-Ended D0D1 InterpairSkew connection:

Click the Tests... button to view information about the tests that use the selected connection to perform automated tests.

Click the Close button to exit and return to the Configure Switch Matrix Settings dialog to finish the signal path configuration.

If required, use the Reset Paths... button to clear all switch and response correction settings for all paths. Click OK if you wish to proceed.

Also, if needed, use the Load Preconfigured Settings... button to set switches for all paths as per the recommended settings. Click OK if you wish to proceed.

Response Correction

You must specify the response correction after you finish configuring the signal paths. This is a vital parameter that highly impacts the measurement accuracy, credibility and performance of the oscilloscope. The purpose of response correction is to correct the channel frequency response of the oscilloscope.

For each scope channel that you select, there are two response correction methods available in the Choose correction mode: drop-down options:

· None—turn off normalization for the specified path. By default, this option is selected.

· PrecisionProbe—specify response correction by characterizing the precision cable or probe.

If you select PrecisionProbe option from the drop-down, the Configure PrecisionProbe / PrecisionCable dialog displays.

Refer to Setting Up the Precision Probe/Cable to know about how to configure the precision probe/cable. Depending on the number of test points on a specific scope channel, you may configure PrecisionProbe or PrecisionCable for the selected channel.

Once you configure the PrecisionProbe mode and return to the Response Correction tab of the Configure Switch Matrix Settings dialog, you may use the [image] button or double-click the selected row to access the corresponding configuration dialog, if you wish to make further changes to a specific scope channel configuration.

Use the Execute Switches button to establish a connection between the selected test point and scope channel. For example, if you click Execute Switches after selecting the first row and the second row each, as shown below, you receive the following prompt. Click OK to close the prompt.

Once you have finished response corrections for all connections, click OK in the Configure Switch Matrix Settings dialog. The application redirects you to the test environment.


Setting Up the Test Environment

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Setting Up the Test Environment

· Click the Set Up tab, or click the Set Up box in the Task Flow pane. The default HDMI test environment displays.

The HDMI Test Environment Setup is broadly divided into three areas:

  1. HDMI Tests—Consists of options to define the type of tests to be run and to configure the Device Under Test (DUT) and the test connection setup.

  2. Transfer function generation—Consists of options to generate InfiniiSim transfer function files for the fixture, cable and equalizer.

  3. Probe Offset Calibration—Consists of options to configure zero offset or calibrated offset for the oscilloscope channels.

HDMI Tests

The HDMI Tests area allows you to define the HDMI specification standards & test suites and to configure the DUT and test connection. The application offers a wide range of tests that can be run on the DUT. The tests displayed under the Select Tests tab vary based on your selection of the various attributes in this area.

This area comprises of the following configuration options:

· HDMI Specs—Select one of the HDMI specification standards 2.0 or 1.4b from the drop-down to define the respective HDMI test suite for DUT compliance. By default, 2.0 is selected.

· Test Suite—Select the radio-button for the appropriate test suite that you want to run on the DUT. Notice that the options vary based on the value of HDMI Specs you select.

    1. Select TMDS Physical Layer Tests if you want to run tests on the Transition Minimized Differential Signaling (TMDS) characteristics that every transmitter/receiver device and cable assembly must adhere to. By default, this option is selected for both values of HDMI Specs.

    2. Select HEAC Tests if you want to run tests on the HDMI Ethernet and Audio Return Channel (HEAC) characteristics that every transmitter/receiver device and cable assembly must adhere to.

    3. Select Direct Attach Tests if you want to run tests on the Direct Attach characteristics that every transmitter/receiver device and cable assembly must adhere to. This option is available only for HDMI Specification Standard 2.0.

Note

For both HDMI Specs options, if you select HEAC Tests under Test Suite, the option to configure DUT and connection setup is replaced with options to configure the HEAC Tests.

· Device Definition—Click the [image] button to configure the DUT and define the transmitter, receiver and cable characteristics. See Device Definition Setup to know more about how to configure the DUT.

· Connection Setup—Click the [image] button to configure the test connection and define the fixture, probe, lane, automation and switch matrix characteristics as required. See Test Connection Setup to know more about how to configure the test connection.

· HEAC Tests—(appears only when you select the HEAC Tests option for Test Suite) Select one of the following options:

      1. HEC—Select this option to run only HDMI Ethernet Channel (HEC) tests on the DUT.

      2. ARC (Common Mode)—Select this option to run only Audio Return Channel (ARC) tests with common mode signal on the DUT.

      3. ARC (Single Mode)—Select this option to run only ARC tests with single mode signal on the DUT.

      4. Both—Select this option to run both HEC and ARC tests with common mode signal on the DUT.

Transfer function generation

The Transfer function generation area allows you to generate InfiniiSim transfer function file from the given s-parameter file for a fixture, cable or equalizer and to embed or de-embed fixtures, cables, equalizer or channel as required for specific type of tests.

· Click the [image] button to configure the fixtures, cables and equalizer & channel skew characteristics and to generate the transfer function. See Channel Embed/De-embed Setup to know more about how to configure the transfer function generation feature.

Probe Offset Calibration

The Probe Offset Calibration area allows probe offset calibration of the oscilloscope channels.

· The Last Calibration Date: displays the last date when the probe offset was performed.

· The Offset Enabled checkbox indicates that probe offset is enabled for the oscilloscope channels. By default, this checkbox is selected.

· The View Offset Calibration Value displays the Offset values for the various oscilloscope channels. Click this link to view the Offset Value dialog box.

After you perform probe offset calibration on an oscilloscope channel, the offset values are displayed. In the example below, CHANNEL 1 is calibrated.

· Click the [image] button to perform either zero offset or calibration offset on the oscilloscope channels. See Probe Offset Calibration to know more about performing offset calibration.

See Also

· Device Definition Setup

· Test Connection Setup

· Channel Embed/De-embed Setup

· Probe Offset Calibration

Next

· Selecting Tests


Device Definition Setup

Setting Up the Test Environment

Device Definition Setup

The Device Definition Setup dialog box allows you to enter the timing resolution of the DUT so that the HDMI test compliance application permutes through each timing resolution.

Note

· You are not required to run each test on all the available resolutions. Some tests run on the lowest resolution whereas some tests run on the highest resolution, based on the CTS specification standards.

· The application hides the HDMI 2.0 tests when HDMI 1.4b data rates only are listed and vice-versa.

· In the Set Up tab, click the [image] button. The Device Definition Setup dialog box appears.

This dialog box is divided into three areas: Device Under Test(DUT), DUT Timing Selection and Resolution Timing to Test.

Device Under Test(DUT)

The Device Under Test(DUT) area allows you to define the general characteristics of the DUT.

· Click the Device Identifier drop-down to select one of the following options:

  1. Transmitter—Displays only transmitter tests under the Select Tests tab. By default, Transmitter is selected.

  2. Receiver—Displays only receiver tests under the Select Tests tab.

  3. Cable—Displays only cable tests under the Select Tests tab.

· Type a name for the device in the text field for Device Name. This name is included in the test reports.

· Type appropriate comments in the text field for Comments that must be included in the test reports.

DUT Timing Selection

The DUT Timing Selection area allows you to define the timing characteristics of the DUT.

· Select the Load from CDF radio button if you want to import timing resolutions from a CDF excel spreadsheet, which is used for compliance testing. By default, this option is selected.

  1. Convert only the "Source CDF" page/sheet from excel (*.xls) to CSV (*.csv) file format on your local disk.

  2. In the text field adjacent to the Browse button, either type the entire file path and file name or click the Browse button to navigate to the location on the local disk where the CSV file is saved. The Load CDF File dialog box appears.

  3. Select the file in CSV file and click Open. The file path and file name are populated in the text field, such that the application loads the timing resolutions from the selected file.

· Select the Load from Template radio button if you want to import a timing plan created earlier using the Save Template button in the Device Definition Setup dialog box.

  1. In the text field adjacent to the Browse button, either type the entire file path and file name or click the Browse button to navigate to the location on the local disk where the template file (*.tem) is saved. The Select Template File dialog box appears.

  2. Select the file in template file and click Open. The file path and file name are populated in the text field, such that the application loads the timing resolution plans from the selected file.

· Select the Manual Select radio button only when you neither have a CDF file nor a pre-saved timing resolution plan and there is a requirement to manually create a timing plan using the Add Custom Timing button in the Device Definition Setup dialog box.

Resolution Timing to Test

The Resolution Timing to Test area displays the information associated with resolution timings that have been loaded using one of the options in the DUT Timing Selection area.

As shown in the example above, the application displays the timing characteristics that have been loaded for testing purpose.

· Click the [image] button to view the details of the timing plan. The Timing Detail prompt appears. If there are more than one timing plans loaded, you may view the timing details for each plan individually. Click OK to close the prompt and return to the Device Definition Setup dialog box.

· Click the [image] button if you do not want a particular timing plan. If there are more than one timing plans loaded, use this button corresponding to the individual timing plans that you wish to remove.

· Click the [image] button to clear all timing plans listed in the Resolution Timing to Test area. This action does not delete the timing plans or the template files that include timing plan parameters.

· Click the [image] button to manually create a timing plan. You may also use this button when you choose the Manual Select option in the DUT Timing Selection area. The Custom Timing dialog box appears.

By default, the Change VIC radio button is selected and the value for VIC: is automatically set to 1.

You may add fixed VIC codes or you may change the timing resolution parameters individually.

  1. Click the Change Timing radio button to manually change the timing resolution parameters.

  2. Notice that the Interlaced checkbox activates only when you select the Change Timing option. You may select this box if you wish to enable interlacing in your timing resolution plan.

  3. Click the YCbCr Pixel Encoding: drop-down option if you wish to enable pixel encoding in your timing resolution plan. By default, there is no value selected for pixel encoding.

Based on the values you set in the fields in the Custom Timing dialog box, the value for TMDS Character Rate: automatically changes.

  4. Click OK to save the changes and return to the Device Definition Setup dialog box.

· Click the [image] button to save the customized timing plan as a template file for future use. The Save As dialog box appears.

  1. Type an appropriate name in the File name: field to your customized timing plan and click Save to return to the Device Definition Setup view.

Use the Load from template option in the DUT Timing Selection area if you wish to load this template file in the future.

· Click the [image] button to make the currently loaded/generated timing plan as the default timing plan. This ensures that the timing plan of your choice is loaded by default every time the HDMI test compliance application launches.

· Click the [image] button to delete the default timing plan template that you had created and generated/loaded earlier. Upon doing so, the default timing plan installed with the HDMI test compliance application is loaded the next time you launch the application.


Test Connection Setup

Setting Up the Test Environment

Test Connection Setup

The Test Connection Setup dialog box allows you to define the test fixture, probe type, number of probes, number of lanes under test, timing control automation settings and the module assignment for the switch matrix.

· In the HDMI Tests area of the Set Up tab, click the [image] button. The Test Connection Setup dialog box appears.

Test Fixture Type

The Test Fixture Type: section allows you to select the type of test fixture from the drop-down options shown below. The image of the test fixture in the Fixtures area changes based on your selection. By default, N1080H04 is selected. Select Other to manually define the test fixture, which may not be listed here.

Probe Type

The Probe Type: section allows you to select the type of probe from the drop-down options shown below. The image of the probe in the Probes area changes based on your selection. By default, N5380A/B is selected.

Probe and Lane Connection

The Probe Connection and the Lane Connection: sections allow you to select the number of probe connections and number of data lane connections respectively. In the following images, notice that based on the number of probe and lane connections you select, changes in the image and channel options in the Channel Selection area occur.

· For 2 Probes (the default option), the options in the Lane Connection: are grayed out and channel selection drop-down options are available only for Differential tests, even though the Single-Ended Tests connection is displayed.

· For 4 Probes and 1 Data Lane (the default option), the channels are displayed for both Differential and Single-Ended tests. However, the drop-down options are active only for the channels for positive clock and positive data lane.

· For 4 Probes and 3 Data Lanes, the channel selection drop-down options are available for Differential Tests only.

· In either of the cases above, you cannot have overlapped channel selections.

Timing Control Automation

The Timing Control Automation: section allows you to set an automatic control to the output timing of the HDMI Source device being tested.

· Select the Enable Automation checkbox to view the options available for automation. By default, in the Driver: drop-down options, VPrime Flex EDID is selected. The other options available are PC LAN and QD 980.

VPrime Flex EDID

The VTF-501 Flex EDID model of the VPrime Flex EDID enables automation of the HDMI PHY testing by allowing the Keysight oscilloscope to automatically change the output video timing of an HDMI Source device being tested. The Flex EDID is connected to the oscilloscope through a USB port. The HDMI test compliance application either requests for the standardized Video Identifier Codes (VIC) or a custom specific unique timing.

The Flex EDID board provides the termination source required for HDMI DUT termination.

· Set the maximum TMDS clock rate, in Megahertz, that the Sink device supports. Type a value in the Max TMDS Clock: text field.

You must enter a non-zero value in this field if the Sink device supports TMDS clock frequencies above 165 MHz, supports Deep Color Mode or supports DVI dual-link. If you enter zero as the value, that indicates no clock rates are available on the Sink device.

· Set the maximum TMDS character rate, in Megahertz, that the Sink device supports. Type a value in the Max TMDS Character Rate: text field.

If the Sink device does not support TMDS Character rates that are greater than 340 Mcsc, the Sink device sets the value in this field to zero.

· Set the termination voltage, in Volts, by typing a value in the text field and click the Set FlexEDID voltage button.

· Select the Turn On Voltage checkbox to enable the termination voltage. By default, this voltage is disabled for Flex EDID.

PC LAN

The PC LAN automation technique works only for such DUTs that have a display source configured with a PC/Laptop that is running on Windows 7 Operating System.

Note

The PC LAN timing control automation technique involves TCPIP over Ethernet. You must ensure that the PC/Laptop is connected to the internet or directly connected to the oscilloscope via a LAN cable.

· Copy the executable file TCPIPControlServer.exe from the folder path C:\ProgramData\Keysight\Infiniium\Apps\HDMIHEACTest\app\config\Automation\ and save the file in any location on the PC/Laptop.

This executable file acts as a TCPIP server that receives timing related requests from the oscilloscope and controls the DUT Source to change the required resolution.

· In the Timing Control Automation section of the Test Connection Setup dialog box, select PC LAN from the Driver: drop-down options.

· Click the Configure button. The PC Control Configuration dialog box appears. By default, the Select Display: drop-down field shows None.

· Click the Configure TCPIP button. The Configuration dialog box appears.

· Type the TCP/IP settings of the PC/Laptop in the text fields for IP:, Port:, Receive Timeout (ms):, Send Timeout (ms): and click OK.

· If the connection is successful,

The server window displays a lot of activity, similar to the example below:

The PC Control Configuration dialog box displays at least one display source.

The Timing Control Automation: section displays the information that connection to the PC is successfully established.

The HDMI test compliance application runs a query for all the resolution settings supported by the DUT and lists all the query results in the Resolution Timing To Test section of the Device Definition Setup dialog box.

· If the connection is not established for a certain TCP/IP setting,

A TCPIP Debug Window appears and displays a message similar to the example below:

The application displays the following prompt:

The PC Control Configuration dialog displays the following message:

QD 980

The QD 980 automation technique works only for such DUTs that have a display source configured on Quantum Data 980.

Note

The QD 980 timing control automation technique involves TCPIP over Ethernet. You must ensure that QD 980 is connected to the internet or directly connected to the oscilloscope via a LAN cable.

The HDMI test application automates loading of various EDID files on the QD 980 to force the source DUT to generate the required resolution.

· In the Timing Control Automation: section of the Test Connection Setup dialog box, select QD 980 from the Driver: drop-down options.

· Type the IP address configured on QD 980 for IP address: and type the slot number on QD 980 where the Rx Card is installed for Rx Slot: in the respective text fields.

· Click the Test Connection button.

A server window pops up and displays the following message:

If the connection is successful, the Timing Control Automation: section displays a successful connection to QD 980.

If the connection is not established, the following message is displayed:

Switch Matrix

The Switch Matrix section allows you to define the switch matrix module assignments, specifically for the BIT2100 switch, prior to configuring the switch box.

· The On and Off radio buttons are grayed out and are controlled by the enabling or disabling of the Switch Matrix feature of the HDMI test compliance application. By default, the Switch Matrix feature in the HDMI test compliance application is in Off state; therefore, the Switch Matrix under the Test Connection Setup dialog box is in Off state as well.

· Type the module number assignments in the text fields for D+ Module (SP4T):, D- Module (SP4T): and 6x SPDT:, where SP4T refers to a single-pole four-throw module and SPDT refers to a single-pole double-throw module. These values vary depending on how you install the BIT2100 modules.

· If you try to connect to the BIT2100 switch box in the Configure Switch Matrix Settings dialog box without first assigning the correct module number in the Test Connection Setup dialog box, the application displays the following warning messages:

· You may still access the Test Connection Setup dialog box to assign the correct module numbers. However, the application detects a new switch matrix configuration and automatically turns off the switch matrix controller.

· To turn the Switch Matrix to the On state and to refresh the configuration under Test Connection Setup dialog box, you must enable the switch matrix controller by clicking Tools > Switch Matrix... from the application's main menu.


Channel Embed/De-embed Setup

Setting Up the Test Environment

Channel Embed/De-embed Setup

The Channel Embed/De-embed Setup dialog box provides access to components that generate a combined transfer function. For some measurements, this dialog box lets you perform cable embedding, fixture de-embedding, equalizer and channel skew.

· In the Transfer function generation area of the Set Up tab, click the [image] button. The Channel Embed/De-embed Setup dialog box appears.

Notice that the information displayed on this dialog box indicates that some of the components are available only for specific standards and measurements.

Fixture

The Fixture section enables fixture de-embedding for TP1 and TP2 tests.

· Click the drop-down button to select the type of fixture de-embedding. The two standard options for fixture de-embedding available in the HDMI test compliance application are N1080H04 and Wilder HDMI TPA-P. By default, N1080H04 is selected. For other types of fixture de-embedding, select Other from the drop-down options.

  1. If you select Other, either type the s-parameter file path and file name in text field adjacent to the Browse button or click the Browse button to select the location for loading the s-parameter file. The Load S-parameter file dialog box appears.

  2. Select the appropriate file name and click Open. The file path and the file name is populated in the field adjacent to the Browse button.

  3. Click the [image] button on the lower part of the Channel Embed/De-embed Setup to generate the InfiniiSim transfer function for the loaded s-parameter.

· Select the On checkbox to enable fixture de-embedding for TP2 tests. By default, this checkbox is not selected.

· Select the DeEmbed Fixture for TP1 tests checkbox to enable de-embedding of fixture losses for TP1 tests. By default, this checkbox is not selected.

Cable Embedding

The Cable Embedding section enables embedding reference cables for TP2 tests only.

· Click the drop-down button to select the type of reference cable embedding. The two standard options for the reference cable embedding available in the HDMI test compliance application are Reference Cable with skew and Reference Cable without skew. By default, Reference Cable with skew is selected.

Notice that the Skew section is enabled when you select Reference Cable without Skew.

For other types of reference cable embedding, select Other from the drop-down options.

The text field and the Browse button that contains the s-parameter file path and file name is enabled only when you select Reference Cable without Skew or Other.

  1. If you select Reference Cable Without Skew or Other, either type the file path and file name in text field adjacent to the Browse button or click the Browse button to navigate to the location for loading the s-parameter file. The Load S-parameter file dialog box appears.

  2. Select the appropriate file name and click Open. The file path and the file name is populated in the field adjacent to the Browse button.

  3. Click the [image] button on the lower part of the Channel Embed/De-embed Setup to generate the InfiniiSim transfer function for the loaded s-parameter.

· Select the On checkbox to enable reference cable embedding for TP2 tests. By default, this checkbox is selected.

Equalizer

The Equalizer section enables embedding the equalizer function for TP2 tests only.

· Click the first drop-down button to select the type of equalizer function embedding. By default, Reference Equalizer is selected. The other option for equalizer function embedding is to use the Load s-parameter file.

· If you select Reference Equalizer,

  1. Click the drop-down button to select the equalizer cable length. By default, 7M is selected.

  2. For the cable length you select, click the [image] button on the lower part of the Channel Embed/De-embed Setup to generate the InfiniiSim transfer function for the selected cable length.

· If you select Load s-parameter file,

  1. Either type the file path and file name in text field adjacent to the Browse button or click the Browse button to navigate to the location for loading the s-parameter file.

  2. Click the [image] button on the lower part of the Channel Embed/De-embed Setup to generate the InfiniiSim transfer function for the loaded s-parameter.

· Select the On checkbox to enable embedding of the equalizer function for TP2 tests. By default, this checkbox is selected.

Skew

The Skew section enables inserting skew values for TP2 tests that have TP2_EQ with the worst case positive or negative skew. By default, this checkbox is selected.

· You may change the skew values (in units of picoseconds) only for cable models other than Reference Cable with Skew.

Generate Transfer Function

The Generate Transfer Function button generates an InfiniiSim transfer function file after combining all the selected components in the Channel Embed/De-embed Setup dialog box.

For example, if you click the [image] button after selecting the On checkbox for Fixture, Cable Embedding, Equalizer and Skew; the generated InfiniiSim transfer function file includes all the four components. If the On checkbox for Fixture is selected alone, the generated InfiniiSim transfer function file includes the fixture de-embedding elements only.

Note

It is imperative that you click the [image] button after making changes to the components of the Channel Embed/De-embed Setup dialog box.

If you do not generate the InfiniiSim transfer function, the following message will display in the Transfer function generation area of the Set Up tab.

You can proceed with test runs only when this area displays the following message:


Probe Offset Calibration

Setting Up the Test Environment

Probe Offset Calibration

The Probe Offset Calibration dialog box allows you to perform zero offset or calibration offset on the oscilloscope channels.

· In the HDMI test compliance application, there are two types of Probe Offset options available: Zero Offset and Calibrated Offset. However, notice that none of the options are selected by default.

From the Channel to Calibrate: drop-down options, select the oscilloscope channel on which, you may want to apply either the zero offset type or the calibrated offset type. By default, none of the channels are selected.

Zero Offset

The Zero Offset type sets the respective channel offset to 0mV. If you wish to apply zero offset on a particular channel:

· In the Probe Offset Calibration area of the Set Up tab, click the [image] button. The Probe Offset Calibration dialog box appears.

· Select the radio-button for Zero Offset.

· Select a Channel from the Channel to Calibrate: drop-down options. In this example, Channel 2 is selected to be calibrated to zero offset. Notice that START is highlighted in green whereas the rest of the stages are highlighted with a white background.

· Click Next. The application finishes calibrating the channel to zero offset. The application skips the CONNECTION and MEASURE stages and the green highlight moves to FINISH. The previous stages are now highlighted in yellow. You can view the change in the oscilloscope waveform on the selected channel, which, in this case is Channel 2.

· Select another oscilloscope channel from the Channel to Calibrate: drop-down options and click Next if you wish to perform zero offset.

· You may click Finish at any point to return to the Set Up tab.

Calibrated Offset

The Calibrated Offset type initiates the calibration process on the selected channel.

· In the Probe Offset Calibration area of the Set Up tab, click the [image] button. The Probe Offset Calibration dialog box appears.

· Select the radio-button for Calibrated Offset.

· Select a Channel from the Channel to Calibrate: drop-down options. In this example, Channel 1 is selected for calibrated offset. Notice that START is highlighted in green whereas the rest of the stages have a white background. As you complete each stage of the calibration process, the green highlight continues moving to the right and the previous stages have a yellow highlight.

· Click Next. Follow the instructions displayed for the channel connection.

· Click Next. You may view the calibration process on the oscilloscope display at the measurement stage.

· The application finishes the process of calibrated offset on the selected channel and the following message is displayed. Click Next.

· Select another oscilloscope channel from the Channel to Calibrate: drop-down options and click Next if you wish to perform calibrated offset.

· You may click Finish at any point to return to the Set Up tab.


Selecting Tests

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Selecting Tests

  1. Click the Select Tests tab, or click the Select Tests box in the Task Flow pane.

  2. Check the tests you want to run.

    Note

    The tests that appear under the Select Tests tab are determined by the choices selected under the Set Up tab. The test list gets rebuilt each time a selection is made.

Some things to note:

· Checking a parent node/group will check all available sub-groups or tests.

· Unchecking a parent node/group will uncheck all sub-groups or tests.

· A parent node is checked if all subgroups are checked.

· A parent node is unchecked if ANY subgroup is unchecked.

Note

If a test has a non-range limit of 0, that is, value < 0, then the test application will provide a nominal value. This nominal value produces a non-infinite margin and is used to declare the 100% margin point. The assigned nominal value can be viewed at the description pane.

Using the Right-Click Pop-Up Menu

When you right-click in the test pane, it produces a pop-up menu containing some shortcuts for selecting and deselecting tests.

When Tests Have Already Been Run

If tests have already been run, you will see their status in the Select Tests tab.

The status marks have the following indications:

Status Mark | Indication
 | The tests have passed.
 | The tests have failed.
 | The test has not been run or no tests in the group have been run.
 | The test is currently running.
 | Some tests in the group have been run and passed.
 | Some tests in the group have been run and failed.
 | Some tests in the group have passed and some have failed; not all of the tests have been run.
 | Some tests in the group have passed and some have failed; all of the tests have been run.
 | All the tests in the group have run and passed.
 | All tests in the group have run and failed.
 | The test is an information only test

For more information, see:

· [image] Keysight N5399C/N5399D HDMI Compliance Test Application Compliance Testing Notes

Next

· Configuring Tests


Configuring Tests

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Configuring Tests

  1. Click the Configure tab, or click the Configure box in the Task Flow pane.

  2. Select either Compliance Mode or Debug Mode.

    • Compliance Mode— lets you choose the configuration options necessary to meet the compliance standard tests.

    • Debug Mode— lets you modify the configuration options. This can be useful, for example, when investigating a test failure.

  3. Select the bulleted item for the settings you want to configure; then, select or enter your settings.

    A description of the selected configuration item appears in the lower, right part of the application window.

Note that you can also enter values in some of the drop-down selection fields. Entered values are checked for validity.

Tip

· A quick way to see the Debug Mode configuration option values that are used in the Compliance Mode is to switch from Compliance Mode to Debug Mode.

· A quick way to reset all the Debug configuration options is to switch from Debug Mode to Compliance Mode.

· A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

Next

· Connecting the Oscilloscope to the DUT


Connecting the Oscilloscope to the DUT

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Connecting the Oscilloscope to the DUT

  1. Click the Connect tab or click Connect in the Task Flow pane.

  2. View the Connection Diagram and follow the instructions to connect the Oscilloscope to the Device Under Test (DUT).

Note

The Connection Diagram and the list of instructions vary based on the configuration settings under the Set Up, Select Tests and Configure tabs.

  3. After making connections between the Oscilloscope and DUT based on the given instructions, click the I have completed these instructions check box.

  4. Click the Suppress all connection prompts check box if you want to suppress the pop-up messages and prompts when the tests are running. If you select this check box first, the I have completed these instructions check box gets automatically checked and grayed out.

  5. Click the [image] button, if you wish to view the oscilloscope signal waveform on the channels that you are using. The application window minimizes and you can access the oscilloscope to view the waveform as shown in the sample below.

  6. Click the minimized application icon on the top to return to the test environment.

For more information, see:

· [image] Keysight N5399C/N5399D HDMI Compliance Test Application Compliance Testing Notes

Next

· Running Tests


Running Tests

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Running Tests

Note

You must allow the oscilloscope to warm-up at least 30 minutes before running any measurement tests.

Tip

As a best practice, calibrate the oscilloscope at least once in a year or when the Calibration ΔTemp is greater than ±5 ºC. Refer to the Help>About Infiniium... menu on the Keysight Infiniium Oscilloscope to find the Calibration ΔTemp.

  1. To run the tests selected under the Select Tests tab, do one of the following options:

· Under the Select Tests tab, use the right-click pop-up menu within the test pane to run tests. Click All Checked Tests... to run all tests that are selected or Click Selected Branch Only... to run tests in a selected branch.

Alternatively, you may click [image] on the toolbar to run all the checked tests. This icon is active for all tabs. Click [image] on the toolbar to run tests in a selected branch. This icon is active for the Select Tests tab only.

· Under the Connect tab, click the Run Tests button to run the selected tests. By default, this button is grayed out. It is highlighted when you select either the I have completed these instructions check box or the Suppress all connection prompts check box.

· Under the Run Tests tab, click the Start button to run the selected tests.

You may configure the settings under the Run Tests tab to run the tests either Once, N (multiple but limited) Times or Forever.

For more information on the options available under the Run Tests tab, see:

· To view the Test Plan Completion Status

· To select the "store mode"

· To run multiple times

· To send email on pauses or stops

· To pause or stop on events

· To specify the event

  2. If there are existing results for selected tests, you receive a prompt to choose the way you want to change the existing results before you continue. By default, Append New Trials is selected.

To retain the existing test results to compare with the new results of the selected tests, select Append New Trials.

To remove the existing test results, select Replace ALL Existing Trials so that only the new results of the selected tests are displayed.

  3. A Status window appears and displays the progress of the tests while they are running.

Click Stop to abort the tests from running any further. If you choose to abort the tests, click OK on the following prompt and the Results tab is displayed.

When running several tests, there may be a requirement to make changes to the physical connection/setup to be able to run particular tests. You may view the Change Physical Connection/Setup dialog similar to the one shown below.

You may click Cancel if you wish to abort the tests. You may click Ignore if you do not find a need to change the physical setup.

If you wish to continue after you make the required physical changes according to the instructions listed on the Change Physical Connection/Setup dialog, select the [image] check-box.

Click the [image] button to continue running tests further.

Click the [image] button if you wish to view the oscilloscope screen before you continue running tests.

  4. When all selected tests are complete, click OK on the following prompt. The Results tab is displayed.

See Also

· To set the display preferences

· To set the run preferences

Next

· Viewing Results


To view the Test Plan Completion Status

Running Tests

To view the Test Plan Completion Status

You may view the test plans that have been defined based on your selections in the Select Tests tab.

  1. Click the Run Tests tab.

  2. In the Permutations section, click the Show Status button.

The TestPlan Completion Status window appears and displays the tests that you have defined.


To select the "store mode"

Running Tests

To select the Store Mode

You may select the type of trials that must be stored, especially when running multiple tests.

  1. Click the Run Tests tab.

  2. In the Store Mode section, select one of the drop-down options for trials.

By default, Worst is selected. Irrespective of the selection, the results of up to 200 trials are stored.

· Best — Stores the results of the best N trials.

· Event — Stores the results of N trials when a specific event is detected. See To specify the event.

· Last — Stores the results of the last N trials.

· Worst — Stores the results of the worst N trials.

If you change the type of trials in the Store Mode section, all existing test results will be deleted.

The selection in the Store Mode affects the trial display options in the Report tab. See To set trial display preferences.


To run multiple times

Running Tests

To run multiple times

You may select whether to run your tests once, more than once or forever.

  1. Click the Run Tests tab.

  2. In the Run Until section, select one of the drop-down options for Run test plans.

By default, Once is selected.

  • Forever — Tests are run repeatedly until you click the Stop button.

  • N Times — Tests are run "N" number of times. You must specify the number of runs by assigning a positive whole number for N. You may choose to have pauses between each run.

Note

When you choose to run the test plans N times, you may use the trial display options in the Report tab of the Preferences dialog box to specify how many trials are displayed in the test report. See To set trial display preferences.

  • Once — Tests are run only once.


To send email on pauses or stops

Running Tests

To send email on pauses or stops

You may configure the test application to send a notification email whenever a test run pauses or ends.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the Send email check box. The Configure button appears.

  3. Click Configure. The Configure Email dialog appears.

  4. In the Configure Email dialog box, enter the To and From email addresses and the host name of the SMTP Server.

  5. Click OK.

Pauses occur between runs when you run your test plans for a specific number of times (see To run multiple times) or when the test run pauses on occurrence of an event (see To pause or stop on events).


To pause or stop on events

Running Tests

To pause or stop on events

You may set up test runs to pause or stop at the end of each test upon occurrence of a preselected type of event.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the On event check box. A drop-down selection field appears.

  3. Select one of the options.

· Pause — The test run pauses when the selected type event occurs.

· Stop — The test run stops when the selected type of event occurs.

  4. In the Event section, select the type of event. See To specify the event.

You may set the pauses or stops between runs to automatically send notification emails (see To send email on pauses or stops).


To specify the event

Running Tests

To specify the event

You may select the type of event when you select Event for the type of trials in the Store Mode section and also after you choose to pause or stop the test runs upon occurrence of that event. See To select the Store Mode on how to select the type of trial and To pause or stop on events on how to enable the Events section.

  1. Click the Run Tests tab.

  2. In the Events section, click the drop-down selection field and choose one of the following options:

· Fail — Causes occurrence of an event when a prerequisite test or selected test fails.

· Margin < N — Causes occurrence of an event when a test generates a margin, which is less than the specified value of N (number of runs). When you select this option, you must enter the minimum required margin percentage.

· ~Pass — Causes occurrence of an event when a selected test passes.

The tilde (~) character in the Event selection drop-down indicates such types of events that are unavailable. If you select such type of an event, a dialog box prompts the reason for the unavailability of that type. For example, the condition for you to be able to select Pass as the event type is that you must set the type of trials under the Store Mode as either Best, Event or Last. As such, the event type Pass is prefixed with ~ because the type of trials under Store Mode is Worst.


To set the display preferences

Running Tests

To set the display preferences

You may choose to display or disable the information, warning and error dialogs and modify other display preferences while tests are running.

  1. From the HDMI test compliance application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Display tab.

  3. Under the Display tab, you may deselect the check box to disable the display to either one or all types of the following dialogs:

· Information dialogs

· Warning dialogs

· Error dialogs

Note

Display messages where you must select either OK/Cancel or Yes/No, are always enabled.

  4. You may also enable/disable the following display options:

· Invert scope display— displays a white background when the application captures screen shots. By default, this option is disabled. Note that there is no inversion of the scope display if the oscilloscope's ColorGrade is enabled.

· Keep application on top— keeps the application's main dialog box on top of the Infiniium application. By default, this option is enabled. Irrespective of whether this option is enabled or not, the mid-run dialog boxes are always displayed on top.

· Log events— displays the log of all events that occur during the test runs. By default, this option is disabled. You must enable this option only when you are directed by the Keysight support organization.

· Show tooltips— enables appearance of tooltips as you hover the mouse pointer over various controls in the application. By default, this option is enabled.

  5. Click Apply to save changes and click OK to close the Preferences dialog box.


To set the run preferences

Running Tests

To set the run preferences

Other than enabling/disabling the display of Information, Warning and Error messages that may occur during test runs (see To set the display preferences), you may modify other preferences that affect the tests runs.

  1. From the HDMI test compliance application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Run tab.

  3. In the Prompts section, select/deselect the following options. By default, these options are enabled:

· Beep when user prompted — enables beeps from the oscilloscope whenever there is a prompt for user inputs.

· Beep only during run — restricts the beeps to occur during test runs only.

  4. In the Test Abort Action section, select one of the following conditions that must be met if a test aborts:

· Continue the run — enables continuity in the running of tests until all tests are run, even if one or more tests abort. Note that you may view the problem descriptions related to the aborts after the test run ends.

· Stop the run and report the problem immediately — stops the running of tests as soon as a test aborts and the application generates a problem report immediately.

Note that the settings of the Test Abort Action section do not affect the Stop button.

  5. Click Apply to save the changes and click OK to close the Preferences dialog box.


Automating the Application

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Automating the Application

The Automation tab enables you to construct scripts of commands that drive the functionality of the application.

Select one of the modes: Script or Files. By default, Script is selected.

Script Mode

In the Script mode, the application runs commands entered in the script text box.

To construct a script of commands, do one of the following:

· Type in commands (one per line) in the script text box

· Use the command generator by clicking the Commands... button.

Tip

In either case of constructing a script, you may save the script to a text file to easily switch on to the Files automation mode.

Using the command generator in Automation

You may create either single commands or entire sample scripts (that demonstrate how commands work together) using the command generator.

· Single Command— In this mode,

  1. Select the tab that corresponds to the application tab or menu containing the controls you require to modify.

  2. Select the radio button for the action you desire to perform. The Use command(s) area displays the automation command that performs the desired action.

Most commands have placeholder parameters along with the instructions on how to modify/customize them.

· Entire Script— In this mode,

  1. Select a script that describes a task that provides you relevant & adequate information.

In either of the modes, you may click Copy to Clipboard button to copy the command and paste it within the script or click Append to Script to add the command towards the end of the script. You may optionally include instructions as comments that guide you in customizing the commands.

Note

The command lines that start with a pound (#) symbol in the script under the Automation tab do not function during test runs.

Files Mode

In the Files mode, the application runs commands that are found in files, as shown in the list. This list of files is constructed and managed using the buttons on the left.

Execution

Click the Start button to begin running the commands in the Script or Files mode. The first test starts running and the button changes to Stop.

Before the first test runs, you may click the Stop button to abort the test run. Once the run begins, the Status dialog box appears and you may use the Stop button on this dialog box.

Settings Status

Some commands result into visible changes to the application's tabs, such as selecting a test. Other commands modify settings that may not be visible, such as "SuppressMessages". To view the current value of the invisible properties, click the Settings... button to access the Settings status dialog box.

Command Line

To experiment with a command to check its functionality, type the command in the Try a command field and press the <Enter> key to check. If the output has a visible effect, such as selecting a test, go to the corresponding tab to check its behavior.


Viewing Results

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Viewing Results

  1. Click [image] in the toolbar or click the Results tab.

· The Results tab contains three resizeable panes to display information for test results. If you select one of the tests in the top pane, details and reference images (if any) are displayed in the lower panes.

· The summary of the selected test trial is displayed in the bottom left pane. This pane also displays the Worst Trial (depending on your settings in the Store Mode of the Run Tests tab).

· The bottom right pane may have several tabs, depending on the selected Report Preferences. If you select more than one trial, the first tab will be the Summary tab, which displays the summary of all the test trials. The application displays a maximum of 25 trials at one time.

· If you select worst first in the trial display option, the Worst Trial is the next tab after the Summary tab, followed by other trials in the order of trial performance.

· The reference images for the selected trials appear in the bottom right pane. See To show reference images and flash mask hits for more details on reference images.

Tip

A quick way to reset all configuration options and delete all test results is to create a new project. The new project has the default configuration options.

Note

If a test has a non-range limit of 0, that is, value < 0, the test application provides a nominal value. The nominal value produces a non-infinite margin and is used to declare the 100% margin point. You can view the assigned nominal value on the description pane.

See Also

· To delete trials from the results

· To show reference images and flash mask hits

· To change margin thresholds

· To change the test display order

· To set trial display preferences

Next

· Viewing/Exporting/Printing the Report


To delete trials from the results

Viewing Results

To delete trials from the results

Under the Results tab, select one or more trials that you want to delete and do one of the following:

  1. Click [image] on the toolbar.

Click Yes to delete the selected result.

  2. Press the Delete key on the keyboard.

  3. Right-click at a test result (in the upper pane) and select the options to delete trials or tests.

  4. Right-click inside the display area of the trial tab (in the lower pane).

· You may select and delete one trial if you have a summary of trials.

· You may select a specific trial to delete.

Select the check-box against the particular trial when you wish to delete a single trial:

If other tests have results that were generated during the same trial run as the trial you are deleting, the application asks you if you wish to delete these results at the same time.

Note

The number of trials and the results may not match. The application displays those results that were generated during the same run. You may choose to delete those trials as well.

· When you click OK after selecting the trials to delete, a confirmation dialog appears.

· The remaining trials are renumbered in the descending order to fill in the gap left by the deleted trial.

· If you delete the last remaining trial of a test, the entire test results are removed. You may use the Delete Selected Test... option in the upper pane to delete all results for a selected test.

Note

There are two situations where you are not allowed to delete a trial:

Case 1 — The trial you attempt to delete is the last remaining extreme trial but not the last remaining trial. In the HDMI test compliance application, the maximum number of trials displayed is 25. For example:

  1. Let us assume N is 25 (the maximum number of trials displayed).

  2. You have more than N trials of a test.

  3. You may delete up to N-1 trials, where all these tests are displayed in the individual result tabs. You will not be able to delete the last remaining test displayed in the individual result tab or other non-displayed tests. However, you may delete the entire test.

Case 2 — The trial you attempt to delete is associated with a trial defined in Case 1.


To show reference images and flash mask hits

Viewing Results

To show reference images and flash mask hits

  1. In the Results tab, click in the Reference Images pane.

This opens the reference image dialog.

In the reference image dialog, you can:

· Click the flash red pixels button [image] to highlight the points of failure.

· Click the zoom in [image] or zoom out [image] buttons to resize the dialog.

  2. Click the close button [image] to close the reference image dialog.


To change margin thresholds

Viewing Results

To change margin thresholds

  1. From the HDMI test compliance application's menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, select the Report tab.

  3. In the Margin Reporting section, you can:

· Enable or disable margin highlighting.

· Change the percent of margin at which to give warnings or critical failures.

  4. Click Apply to save your changes and OK to close the Preference dialog box.


To change the test display order

Viewing Results

To change the test display order

  1. From the HDMI test compliance application's main menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Test Display section, order tests chronologically or you may use the same ordering as in the Select Tests tab.

  4. Click OK to save your changes and close the Preferences dialog box.


To set trial display preferences

Viewing Results

To set the Trial Display preferences

  1. From the HDMI test compliance application's main menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Test Display section, order tests chronologically or you may use the same ordering as in the Select Tests tab.

  4. Click Apply to save your changes and click OK to close the Preferences dialog box.

Note

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


Viewing/Exporting/Printing the Report

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Viewing/Exporting/Printing the Report

To view the HTML test report, click the Html Report tab.

See Also

· To export the report

· To print the report

· To set HTML Report preferences

Next

· Saving Test Projects


To export the report

Viewing/Exporting/Printing the Report

To export the report

  1. From the HDMI test compliance application's main menu, click File>Export>Results.

  2. To export the HTML test report, click either CSV or HTML.

To export results in CSV (comma-separated value) format

Select CSV to export the results as a comma-separated list of values.

The data format is shown in the first line of the exported *.csv file.

To export the report in HTML format

You may export the test reports in HTML format using Single-File or Multi-File mode.

· Single-File — To save a single-file report, select Web Archive, single file (.mht) for the Save as type:.

Note

Single-file reports do not contain hyperlinks in the summary table, due to the .mht format limitation. If you require these hyperlinks, use the multi-file format.

· Multi-File — For large reports, where you may prefer using links within the report, select the HTML>Multi-File option. Selecting the multi-file option exports the results as a set of separate image and HTML files.

Select a folder in the Browse For Folder dialog to save the report.

The application creates a folder with the specified name that may be copied to any computer. To view the exported report, open the HTML file stored in the folder.


To print the report

Viewing/Exporting/Printing the Report

To print the report

· To preview the HTML test report printout, click [image] or choose File>Print Preview... from the HDMI test compliance application's menu.

· To print the HTML test report, click [image] or choose File>Print... from the menu.


To set HTML Report preferences

Viewing/Exporting/Printing the Report

To set HTML Report Preferences

  1. From the HDMI test compliance application's menu, click View>Preferences....

    Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, select the Report tab.

  3. In the Jump Actions section, you can:

· Select the check-box for Select Tests tab double click jumps to result to enable double-click on the tests under the Select Tests tab, which would display the corresponding results under the Results tab. By default, this setting is disabled.

· Select the check-box for HTML Report tab display jumps to selected result to enable clicking on main HTML report, which will cause the report to scroll down to the location of the test result that is currently selected on the Results tab. If no tests are selected under the Results tab, the HTML report stays on top. By default, this setting is disabled. Regardless of this setting, if you double-click a row on the Results tab, the application automatically displays the HTML Report tab and scrolls down to the corresponding result.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.


Understanding the Report

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Understanding the Report

The information in this topic will help you understand the different sections of the HDMI HTML Report.

The top section of the HDMI HTML Report contains the report header. The figure that follows shows an example of a report header. It has information about the oscilloscope used to perform the test: the version of the oscilloscope's application, the model number and the serial number of the oscilloscope as well as the date and time the test was performed. Information entered and selections made in the Set Up tab are also displayed in this box. If any of this information was not entered, it will not be displayed here.

Summary of Results

The Summary of Results section gives an overview for each of the tests that were run. The Pass column indicates wether the tests passed or failed. The Actual Value column shows the actual case value across all of the trials. The Margin column shows the percentage of pass or fail and its criticality, depending on the criteria set for the Margin Thresholds (under the Preferences dialog box).

Report Detail

The next section of the report shows the statistics for each of the selected measurements.


Saving Test Projects

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Saving Test Projects

· To save test settings and results to the current project directory:

  1. Choose File>Save Project from the HDMI test compliance application's main menu.

· To save test settings and results to a new project directory:

  1. Choose File>Save Project As... from the HDMI test compliance application's main menu.

  2. In the Browse for Folder dialog box, select the appropriate folder location.

Project files are saved in a directory whose name is the device name.

  3. Click OK.

For more information, see:

· [image] Keysight N5399C/N5399D HDMI Compliance Test Application Compliance Testing Notes

See Also

· To set AutoRecovery preferences

Next

· Controlling the Application via a Remote PC


To set AutoRecovery preferences

Saving Test Projects

To set AutoRecovery preferences

  1. From the HDMI test compliance application's menu, choose View>Preferences....

  2. In the Preferences dialog box, select the Save/Load tab.

  3. In the Auto Recovery section, select one of the following options:

· To auto-save results after each trial or permutation even if the entire multi-trial is not complete. This option enables full recovery.

· To auto-save results only upon the completion of the entire multi-trial.

  4. Click Apply to save changes and click OK to close the Preferences dialog box.


User Defined Add-Ins

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

User-Defined Add-Ins

If there are measurements you would like the compliance test application to make that are not currently included in its test list, you can use the Keysight N5467A User Defined Application (UDA) tool to design and deploy an "add-in", or package of tests that can be imported into existing compliance applications. Please see the UDA documentation for information on how to create an add-in.

See Also

  • To install an add-in

  • To remove an add-in


To install an add-in

User-Defined Add-Ins

To install an add-in

  1. From the HDMI test compliance application's main menu, click File>User Defined>Install Add-In:

The application prompts for the location of the add-in's installer (created by the N5467A UDA tool):

  2. Click the Open button, a prompt appears prior to the installation of add-in:

[Caution]

If your project has unsaved test results, click Cancel and save the project before retrying.

  3. Click OK after saving any existing test results, the add-in is installed and the HDMI test compliance application closes.

  4. Once the application launches again, the following prompt appears. Click OK.

Add-in tests are only visible in Debug Mode, so when there is an active add-in installed, the test application will start up in this mode.

In the Debug mode, add-in tests are displayed in their own test group under the Select Tests tab.

You may select these tests to see the description in the area below.

As a result of installing add-ins, under the Configure tab, by default, Debug is selected in the Mode: area.

If you switch to the Compliance mode at this stage, the following prompt appears:

  5. To view the add-in tests under the Select Tests tab, click Cancel. To hide the add-in tests from the Select Tests tab, click OK and the Configure tab displays Configure mode options.


To remove an add-in

User-Defined Add-Ins

To remove an add-in

  1. From the HDMI test compliance application's main menu, click File>User Defined>Uninstall Add-In...:

The application displays the following prompt before you uninstall the add-in. Click OK if you wish to uninstall the add-in.

[Caution]

If your project has unsaved test results, choose Cancel and save the project before retrying.

When you click OK after saving any existing test results, the HDMI test compliance application restarts and the add-in is uninstalled.


Controlling the Application via a Remote PC

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Controlling the Application via a Remote PC

If the App Remote license option is installed (for the N5452A remote interface) on the oscilloscope, the HDMI test compliance application's Preference dialog contains a Remote tab, which allows you to enable the remote interface and configure the remote options.

Using the N5452A remote interface, you can control Infiniium compliance applications from a remote PC. While the remote interface has ready-to-run executable features available, you may also create custom programs using the .NET 2.0 programming language or the National Instruments' LabVIEW 8.5 graphical programming environment.

With the remote interface, you can:

· Launch and close the applications

· Configure options

· Run tests

· Obtain results

· Control display options & preferences

· Save and load projects

For more information on the remote interface, see the N5452A Remote Interface for Infiniium Compliance Applications on the Keysight web site.

See Also

· To check for the App Remote license

· To identify the remote interface version

· To enable the remote interface

· To enable remote interface hints

Next

· Using a Second Monitor


To check for the App Remote license

Controlling the Application via a Remote PC

To check for the App Remote license

  1. From the Infiniium Oscilloscope's main menu, choose Help>About Infiniium.

  2. In the license set, check for the App Remote license.


To identify the remote interface version

Controlling the Application via a Remote PC

To identify the remote interface version

  1. From the HDMI test compliance application's main menu, click Help>About....

  2. In the About dialog, the remote interface version is listed above the Add-In Interface version information.


To enable the remote interface

Controlling the Application via a Remote PC

To enable the remote interface

  1. From the HDMI test compliance application's main menu, click View>Preferences....

  2. In the Preferences dialog, select the Remote tab.

  3. Select the Enable remote interface option if you require access to the application remotely.

If you perform the tests with the application's user interface and want to ensure that there is no interference from other remote users, deselect the Enable remote interface option to disable remote interface.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


To enable remote interface hints

Controlling the Application via a Remote PC

To enable remote interface hints

  1. From the HDMI test compliance application's main menu, click View>Preferences....

  2. In the Preferences dialog, select the Remote tab.

  3. In the Remote Options section, select the Show remote interface hints in language: check box.

When you select this option:

· Select the remote programming language described in the tips.

· Tooltips related to the remote interface commands appear when you click the toolbar.

· Various controls in the tabs will have a context menu item added as "Remote interface hint...".

· The Select Tests and Configure tabs will display a remote hint in their description panes at the bottom of the screen, when an item is selected.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Using a Second Monitor

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Using a Second Monitor

You may use a second monitor to display the HDMI test compliance application, allowing you to view the oscilloscope while using the application. If required, connect the second monitor to the video port labeled Second Monitor on the rear panel of the Oscilloscope. Do not connect the second monitor to the port labeled VGA.

Note

The VGA output only displays the screen of the oscilloscope on the external monitor.

Before starting the HDMI test compliance application, ensure that the second monitor is configured properly:

  1. Exit the oscilloscope application and click the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Personalization.

  4. Under Display, click Connect to an external display.

  5. Select the second monitor in the Display: drop-down. The recommended screen resolution changes accordingly.

If you wish to select a screen resolution, which is different than the recommended setting, click the drop-down for Resolution: and select an option.

  6. In the Multiple displays: drop-down, select Extend these displays to be able to move the mouse pointer on the oscilloscope screen to the second monitor's display.

To stop using the second monitor, select the Show desktop only on 1 control from the Multiple displays: drop-down.

  7. Click Apply to save these changes and click OK to close the Screen Resolution dialog box.

See Also

· HDMI Test Compliance Application—At a Glance


HDMI Test application landing page

Version 00.00.0000

© Keysight Technologies 2014

Warranty

Technology License
Restricted Rights Legend
Safety Notices

Trademarks

August 2014

Table of Contents

N5399B HDMI Test Application at a Glance

Preferences

Projects

Toolbars

Performing Tests

Configure Tab

Connect Tab

HTML Report Tab

Results Tab

Run Tests Tab

Select Tests Tab

Set Up Tab

Requirements

Using a Second Display

N5399B HDMI Test Application

Online Help


N5399B HDMI Test Application

Keysight N5399B HDMI Test Application Online Help

N5399B HDMI Test Application at a Glance

The N5399B Electrical Performance Compliance Test Application performs HDMI compliance tests. The application must be installed on an Keysight Infiniium oscilloscope. Be sure to read about the following information:

  • Installation requirements

  • Recommended second display

  • Remote operation using N5452A (Remote Programming Interface)

Test Task Flow

Use the application's seven Task Flow tabs to guide you through the testing process. Simply click on the tabs (from left to right) while completing the selections presented in each tab. You can also use the Task Flow pane that is displayed along the window's left side.

The normal test flow uses the following steps:

  1. Click File > New Project to create a project file for saving your settings and test results.

  2. Use the seven test flow tabs (starting with the Set Up tab) to configure and run your tests.

  3. Click File > Save Project to save your project.

To learn about each task-flow tab

  • Setup Up tab
  • Select Tests tab
  • Configure tab
  • Connect tab
  • Run Tests tab
  • Results tab
  • HTML Report tab

To hide or view the toolbar

  • Click View > Toolbar on the menu.

To view or hide the task flow pane

  • Click View > Task Flow on the menu.

To minimize or restore the task flow pane

  • Click the Task Flow button.

Note

For additional information on installing the application, calibrating the oscilloscope, and performing the compliance tests, refer to the [image] N5399B Compliance Testing Notes.


Restricted Rights Legend

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Keysight Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Trademarks

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.

All other marks are the property of their respective owners.


Warranty

Keysight N5399C/N5399D HDMI Test Compliance Application Online Help

Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.


Preferences

Keysight N5399B HDMI Test Application Online Help

Preferences

Use the Preferences dialog box to specify the state of many application features. To open the dialog box, click File > Preferences. When viewing the Results tab, you can also click [image] in the toolbar. The Preferences dialog box includes five tabs to organize the settings as shown in the following figure.

Display Tab

Message Dialogs

Use the Message Dialogs area to enable or disable the display of information, warnings, and error message dialog boxes. It is best to keep these setting selected until you become experienced with using the application.

Invert scope display for screen shots

Select this feature when the you plan to incorporate your pictures in a document that is meant to be printed. Screen shots having a black colored background can be difficult to view on paper and uses too much printer toner. Inverting the display has no effect when the oscilloscope waveform is using a ColorGrade memory.

Keep application on top

Select to keep the N5399B application on top of any other currently running applications. Any displayed N5399B dialog boxes will always be shown on top of the N5399B application regarless of this selection.

Log events

Select to log events that can be useful when troubleshooting problems with the application. This feature provides information for Keysight support and its default setting is off.

Show tooltips

Clear this selection to prevent the tips that display when you hover the mouse over many features such as an icon or command.

Remote Tab

If you purchase the N5452A (Remote Programming Interface) you can operate the N5399B application remotely from a PC. The N5452A software is compatible with compliance or validation applications running on an 90000 Series oscilloscopes. DLL adapters for C# and LabVIEW 8.5 provide for simple integration. Refer to the N5452A's Infiniium Compliance Application Programming Guide.

Enable remote interface

Select to allow the application to be controlled from the N5452A.

Show remote interface hints

Select to configure the N5399B application to show remote programming methods and properties that correspond to specific features. Select hints either for C# or ARSL. After selecting this feature, hints are shown in the application's description panes. More hints, as shown in the following figure, are viewed by:

  • Left clicking on a toolbar icon.

  • Right clicking on a control.

Report Tab

Enable Margin Highlighting

Margin highlighting allows you to specify specification margins (in percent) that establish trigger test warnings and failures.

Show details for up to

Use to set the number of trials reported in the Results tab. A trials consists of one complete run through all of the selected tests. The default number of trials reported is 25.

Order trial details

You can order the trial test results to be shown chronologically or by severity of failure with the worst failure listed first.

Show images for up to 25 worst trial(s)

When selected, images for the worst trials are displayed.

Run Tab

Beep when user prompted

Clear this selection to prevent the application from sounding a beep when displaying a user prompt.

Beep only during run

When user prompt beeps are enabled, select this feature to allow beeps to be sounded only during tests. This alert is very useful during long tests or trials.

Save/Load Tab

Restore saved test selection

This feature causes any test selections in an opened project to be copied into the Select Tests tab. This is the default setting.

After each trial or permutation (increases runtime)

This selection causes data to be saved after each test run or trial. Although it increases test time, your data will be protected from accidental loss.

Only at the end of a run

Selects to save test data only when a run of tests has completed.


Projects

Keysight N5399B HDMI Test Application Online Help

Projects

When you start the N5399B application, a project is automatically created and named. As you work, test configuration settings as well as test data becomes part of your project. Be sure to save your project to save your work. You can change the project name when you save the project. Saved project files use the .proj file name extension. You can open, save, or create new projects at any time.

To save a project

  • Choose File > Save or File > Save As from the menu.

  • Click [image] on the toolbar.

To create a new test project

The configuration options in new projects are set to their default values and there is no test results until you perform a test.

  • Choose File > New Project... from the menu. A new project is opened and given a default name, which can be saved as another name later.

  • Click [image] on the toolbar.

To open an existing test project

  1. Choose File > Open Project... from the menu or [image] on the toolbar.

  2. In the Open dialog, browse to a test project directory and select the desired .proj file.

  3. Click Open.


Toolbars

Keysight N5399B HDMI Test Application Online Help

Toolbars

Main Toolbar

To view or hide the application's toolbar, click View > Toolbar. The toolbar's buttons vary according to the opened tab.

Main Toolbar Buttons

Button | Definition
 | Create a new project file.
 | Open a project file.
 | Save a project file.
 | Open the Configure tab for selected test.
 | Run the selected tests while working in any of the application's tabs.
 | Run the tests in the selected branch only. This feature is available while working in any of the application's tabs.
 | View the Results tab.
 | Delete the selected test results from the project..
 | Open the Preferences dialog box. You could also access the dialog box by clicking File > Preferences.
 | Select all tests while working in the Select Tests tab.
 | Unselect all tests while working in the Select Tests tab.
 | Displays or hides the Information pane in the Select Tests tab.
 | Print preview the HTML report.
 | Print the HTML report.

# Mask Failures Dialog Box Toolbar

The # Masks Failures dialog box is displayed by clicking the Reference Images pane in the Results tab.

Toolbar Buttons

Button | Definition
 | Click to highlight all mask failure bits shown in eye diagram. The failed bits flash in a red color making them easy to identify.
 | Click to magnify a portion of the eye diagram.
 | Click to reduce the magnification applied to the eye diagram.